/*
 * Clutter.
 *
 * An OpenGL based 'interactive canvas' library.
 *
 * Copyright (C) 2010  Intel Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined(__CLUTTER_H_INSIDE__) && !defined(CLUTTER_COMPILATION)
#error "Only <clutter/clutter.h> can be included directly."
#endif

#ifndef __CLUTTER_COLOR_STATIC_H__
#define __CLUTTER_COLOR_STATIC_H__

#define CLUTTER_COLOR_White             (clutter_color_get_static (CLUTTER_COLOR_WHITE))
#define CLUTTER_COLOR_Black             (clutter_color_get_static (CLUTTER_COLOR_BLACK))
#define CLUTTER_COLOR_Red               (clutter_color_get_static (CLUTTER_COLOR_RED))
#define CLUTTER_COLOR_DarkRed           (clutter_color_get_static (CLUTTER_COLOR_DARK_RED))
#define CLUTTER_COLOR_Green             (clutter_color_get_static (CLUTTER_COLOR_GREEN))
#define CLUTTER_COLOR_DarkGreen         (clutter_color_get_static (CLUTTER_COLOR_DARK_GREEN))
#define CLUTTER_COLOR_Blue              (clutter_color_get_static (CLUTTER_COLOR_BLUE))
#define CLUTTER_COLOR_DarkBlue          (clutter_color_get_static (CLUTTER_COLOR_DARK_BLUE))
#define CLUTTER_COLOR_Cyan              (clutter_color_get_static (CLUTTER_COLOR_CYAN))
#define CLUTTER_COLOR_DarkCyan          (clutter_color_get_static (CLUTTER_COLOR_DARK_CYAN))
#define CLUTTER_COLOR_Magenta           (clutter_color_get_static (CLUTTER_COLOR_MAGENTA))
#define CLUTTER_COLOR_DarkMagenta       (clutter_color_get_static (CLUTTER_COLOR_DARK_MAGENTA))
#define CLUTTER_COLOR_Yellow            (clutter_color_get_static (CLUTTER_COLOR_YELLOW))
#define CLUTTER_COLOR_DarkYellow        (clutter_color_get_static (CLUTTER_COLOR_DARK_YELLOW))
#define CLUTTER_COLOR_Gray              (clutter_color_get_static (CLUTTER_COLOR_GRAY))
#define CLUTTER_COLOR_DarkGray          (clutter_color_get_static (CLUTTER_COLOR_DARK_GRAY))
#define CLUTTER_COLOR_LightGray         (clutter_color_get_static (CLUTTER_COLOR_LIGHT_GRAY))

#define CLUTTER_COLOR_Butter            (clutter_color_get_static (CLUTTER_COLOR_BUTTER))
#define CLUTTER_COLOR_LightButter       (clutter_color_get_static (CLUTTER_COLOR_BUTTER_LIGHT))
#define CLUTTER_COLOR_DarkButter        (clutter_color_get_static (CLUTTER_COLOR_BUTTER_DARK))
#define CLUTTER_COLOR_Orange            (clutter_color_get_static (CLUTTER_COLOR_ORANGE))
#define CLUTTER_COLOR_LightOrange       (clutter_color_get_static (CLUTTER_COLOR_ORANGE_LIGHT))
#define CLUTTER_COLOR_DarkOrange        (clutter_color_get_static (CLUTTER_COLOR_ORANGE_DARK))
#define CLUTTER_COLOR_Chocolate         (clutter_color_get_static (CLUTTER_COLOR_CHOCOLATE))
#define CLUTTER_COLOR_LightChocolate    (clutter_color_get_static (CLUTTER_COLOR_CHOCOLATE_LIGHT))
#define CLUTTER_COLOR_DarkChocolate     (clutter_color_get_static (CLUTTER_COLOR_CHOCOLATE_DARK))
#define CLUTTER_COLOR_Chameleon         (clutter_color_get_static (CLUTTER_COLOR_CHAMELEON))
#define CLUTTER_COLOR_LightChameleon    (clutter_color_get_static (CLUTTER_COLOR_CHAMELEON_LIGHT))
#define CLUTTER_COLOR_DarkChameleon     (clutter_color_get_static (CLUTTER_COLOR_CHAMELEON_DARK))
#define CLUTTER_COLOR_SkyBlue           (clutter_color_get_static (CLUTTER_COLOR_SKY_BLUE))
#define CLUTTER_COLOR_LightSkyBlue      (clutter_color_get_static (CLUTTER_COLOR_SKY_BLUE_LIGHT))
#define CLUTTER_COLOR_DarkSkyBlue       (clutter_color_get_static (CLUTTER_COLOR_SKY_BLUE_DARK))
#define CLUTTER_COLOR_Plum              (clutter_color_get_static (CLUTTER_COLOR_PLUM))
#define CLUTTER_COLOR_LightPlum         (clutter_color_get_static (CLUTTER_COLOR_PLUM_LIGHT))
#define CLUTTER_COLOR_DarkPlum          (clutter_color_get_static (CLUTTER_COLOR_PLUM_DARK))
#define CLUTTER_COLOR_ScarletRed        (clutter_color_get_static (CLUTTER_COLOR_SCARLET_RED))
#define CLUTTER_COLOR_LightScarletRed   (clutter_color_get_static (CLUTTER_COLOR_SCARLET_RED_LIGHT))
#define CLUTTER_COLOR_DarkScarletRed    (clutter_color_get_static (CLUTTER_COLOR_SCARLET_RED_DARK))
#define CLUTTER_COLOR_Aluminium1        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_1))
#define CLUTTER_COLOR_Aluminium2        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_2))
#define CLUTTER_COLOR_Aluminium3        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_3))
#define CLUTTER_COLOR_Aluminium4        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_4))
#define CLUTTER_COLOR_Aluminium5        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_5))
#define CLUTTER_COLOR_Aluminium6        (clutter_color_get_static (CLUTTER_COLOR_ALUMINIUM_6))

#define CLUTTER_COLOR_Transparent       (clutter_color_get_static (CLUTTER_COLOR_TRANSPARENT))

#endif /* __CLUTTER_COLOR_STATIC_H__ */
